Debian Bug report logs - #294986
php4-recode: php4 segfault when using recode() function

version graph

Package: php4-recode; Maintainer for php4-recode is (unknown);

Reported by: Cyril Chaboisseau <cyril.chaboisseau@free.fr>

Date: Sat, 12 Feb 2005 20:48:06 UTC

Severity: grave

Found in version 4:4.3.10-4

Fixed in version php4/4:4.3.10-5

Done: Adam Conrad <adconrad@0c3.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#294986; Package php4-recode. Full text and rfc822 format available.

Acknowledgement sent to Cyril Chaboisseau <cyril.chaboisseau@free.fr>:
New Bug report received and forwarded. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Chaboisseau <cyril.chaboisseau@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php4-recode: php4 segfault when using recode() function
Date: Sat, 12 Feb 2005 21:42:07 +0100
Package: php4-recode
Version: 4:4.3.10-4
Severity: grave
Justification: causes non-serious data loss



-- System Information:
Debian Release: 3.1
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.10-grsec
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)

Versions of packages php4-recode depends on:
ii  debconf [debco 1.4.45                    Debian configuration management sy
ii  libapache2-mod 4:4.3.10-4                server-side, HTML-embedded scripti
ii  libc6          2.3.2.ds1-20.0.0.1.pure64 GNU C Library: Shared libraries an
ii  librecode0     3.6-10                    Shared library on which recode is 
ii  php4-cgi [phpa 4:4.3.10-4                server-side, HTML-embedded scripti
ii  php4-cli [phpa 4:4.3.10-4                command-line interpreter for the p
ii  php4-common    4:4.3.10-4                Common files for packages built fr

-- debconf information:
  php4/extension_recode_apache: true
  php4/add_extension: true
  php4/extension_recode_cgi: true
  php4/remove_extension: true
  php4/extension_recode_apache2: true
  php4/extension_recode_cli: true



when I do

$ /usr/bin/php4 -c php.ini -q ./recode.php
Erreur de segmentation (core dumped)

here is php.ini :
[PHP]
extension=recode.so

and recode.php :
<?
  echo recode_string("utf-8..html_4.0","Hello, World !");
?>


it also segfault with other charsets

I've also tried with register_globals = Off
WRT bug #213557


here is the backtrace with gdb :

$ gdb -c core /usr/bin/php4
GNU gdb 6.3-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-linux"...(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".

Core was generated by `/usr/bin/php4 -c php.ini -q ./recode.php'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib/libcrypt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /usr/lib/libzzip-0.so.12...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libzzip-0.so.12
Reading symbols from /lib/libnsl.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /usr/lib/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libexpat.so.1
Reading symbols from /usr/lib/libpcre.so.3...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpcre.so.3
Reading symbols from /usr/lib/libpanel.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpanel.so.5
Reading symbols from /lib/libncurses.so.5...(no debugging symbols found)...done.
Loaded symbols for /lib/libncurses.so.5
Reading symbols from /usr/lib/libdb-4.2.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libdb-4.2.so
Reading symbols from /usr/lib/libbz2.so.1.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libbz2.so.1.0
Reading symbols from /usr/lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /usr/lib/libssl.so.0.9.7...done.
Loaded symbols for /usr/lib/libssl.so.0.9.7
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libgssapi_krb5.so.2...done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /usr/lib/libkrb5.so.3...done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /usr/lib/libk5crypto.so.3...done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /lib/libcom_err.so.2...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /lib/libpthread.so.0...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /usr/lib/libcrypto.so.0.9.7...done.
Loaded symbols for /usr/lib/libcrypto.so.0.9.7
Reading symbols from /lib/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/php4/20020429-zts/recode.so...done.
Loaded symbols for /usr/lib/php4/20020429-zts/recode.so
Reading symbols from /usr/lib/librecode.so.0...done.
Loaded symbols for /usr/lib/librecode.so.0
#0  0x0000002a976766d2 in delmodule_flat () from /usr/lib/librecode.so.0
(gdb) bt
#0  0x0000002a976766d2 in delmodule_flat () from /usr/lib/librecode.so.0
#1  0x0000002a9766803a in transform_byte_to_variable () from /usr/lib/librecode.so.0
#2  0x0000002a97668a68 in recode_perform_task () from /usr/lib/librecode.so.0
#3  0x0000002a976678dd in recode_buffer_to_buffer () from /usr/lib/librecode.so.0
#4  0x0000002a974a86d6 in zif_recode_string () from /usr/lib/php4/20020429-zts/recode.so
#5  0x0000000000554f1b in execute ()
#6  0x00000000005447b5 in zend_execute_scripts ()
#7  0x00000000005142e6 in php_execute_script ()
#8  0x0000000000564641 in main ()


I first tought it was a bug on librecode but it works well from the
command line :

$ echo "Hello, World"|recode "utf-8..html_4.0"
Hello, World


now, maybe it's not critical since I've only tested the bug on amd64 and
not i386 (the only 2 architectures I have)

anyone willing to test that on ppc64, alpha, sparc64 ?



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#294986; Package php4-recode. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #10 received at 294986@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 294986@bugs.debian.org
Subject: Re: Bug#294986: php4-recode: php4 segfault when using recode() function
Date: Sun, 13 Feb 2005 06:07:47 -0800
[Message part 1 (text/plain, inline)]
On Sat, Feb 12, 2005 at 09:42:07PM +0100, Cyril Chaboisseau wrote:

> when I do

> $ /usr/bin/php4 -c php.ini -q ./recode.php
> Erreur de segmentation (core dumped)

> here is php.ini :
> [PHP]
> extension=recode.so

> and recode.php :
> <?
>   echo recode_string("utf-8..html_4.0","Hello, World !");
> ?>

> it also segfault with other charsets

> I've also tried with register_globals = Off
> WRT bug #213557

> I first tought it was a bug on librecode but it works well from the
> command line :

> $ echo "Hello, World"|recode "utf-8..html_4.0"
> Hello, World

> now, maybe it's not critical since I've only tested the bug on amd64 and
> not i386 (the only 2 architectures I have)

> anyone willing to test that on ppc64, alpha, sparc64 ?

04:43 <vorlon> the recode segfault is reproducible on alpha.
04:47 <vorlon> also reproducible against testing.
04:48 <vorlon> segfault happens deep inside librecode, I'd be surprised if
               this was our fault.
04:49 <infinity> As would I, except that it works with the CLI recode tool.
04:49 <infinity> Perhaps PHP just tickles it in a slightly different way,
                 though.
04:49 <infinity> Thanks for the digging.
04:49 <vorlon> I'll check build 64-bit build logs for anything suspicious.
04:51 <vorlon> /build/buildd/php4-4.3.10/ext/recode/recode.c:156: warning:
               passing arg 5 of `recode_buffer_to_buffer' from incompatible
               pointer type
04:51 <vorlon> /build/buildd/php4-4.3.10/ext/recode/recode.c:156: warning:
               passing arg 6 of `recode_buffer_to_buffer' from incompatible
               pointer type
04:52  * vorlon whistles nonchalantly
04:57 <vorlon> PHP is passing two int *'s where size_t * is required.  Yeah,
               that'd probably do the trick. :P
04:57 <infinity> Who's wrong?  PHP, or the recode headers?
04:57 <vorlon> PHP. :)
04:58 <infinity> Check.  Can you cut'n'paste this conversation to the bug?..
                 I'll patch it ASAP.
04:58 <vorlon> well, let me build and verify that changing this actually
               fixes the segfault.
04:58 <infinity> even if it doesn't, it should be fixed.
04:58 <vorlon> yes, but I only want to have to send one email. :)
04:58 <infinity> When I have a spare day, I should go hunting for
                 endian/size issues again.
06:01 <vorlon> fixed, sending mail.


-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Reply sent to Adam Conrad <adconrad@0c3.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Cyril Chaboisseau <cyril.chaboisseau@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 294986-close@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 294986-close@bugs.debian.org
Subject: Bug#294986: fixed in php4 4:4.3.10-5
Date: Mon, 14 Feb 2005 14:17:22 -0500
Source: php4
Source-Version: 4:4.3.10-5

We believe that the bug you reported is fixed in the latest version of
php4, which is due to be installed in the Debian FTP archive:

caudium-php4_4.3.10-5_i386.deb
  to pool/main/p/php4/caudium-php4_4.3.10-5_i386.deb
caudium-php4_4.3.10-5_powerpc.deb
  to pool/main/p/php4/caudium-php4_4.3.10-5_powerpc.deb
libapache-mod-php4_4.3.10-5_i386.deb
  to pool/main/p/php4/libapache-mod-php4_4.3.10-5_i386.deb
libapache-mod-php4_4.3.10-5_powerpc.deb
  to pool/main/p/php4/libapache-mod-php4_4.3.10-5_powerpc.deb
libapache2-mod-php4_4.3.10-5_i386.deb
  to pool/main/p/php4/libapache2-mod-php4_4.3.10-5_i386.deb
libapache2-mod-php4_4.3.10-5_powerpc.deb
  to pool/main/p/php4/libapache2-mod-php4_4.3.10-5_powerpc.deb
php4-cgi_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-cgi_4.3.10-5_i386.deb
php4-cgi_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-cgi_4.3.10-5_powerpc.deb
php4-cli_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-cli_4.3.10-5_i386.deb
php4-cli_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-cli_4.3.10-5_powerpc.deb
php4-common_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-common_4.3.10-5_i386.deb
php4-common_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-common_4.3.10-5_powerpc.deb
php4-curl_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-curl_4.3.10-5_i386.deb
php4-curl_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-curl_4.3.10-5_powerpc.deb
php4-dev_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-dev_4.3.10-5_i386.deb
php4-dev_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-dev_4.3.10-5_powerpc.deb
php4-domxml_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-domxml_4.3.10-5_i386.deb
php4-domxml_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-domxml_4.3.10-5_powerpc.deb
php4-gd_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-gd_4.3.10-5_i386.deb
php4-gd_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-gd_4.3.10-5_powerpc.deb
php4-imap_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-imap_4.3.10-5_i386.deb
php4-imap_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-imap_4.3.10-5_powerpc.deb
php4-ldap_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-ldap_4.3.10-5_i386.deb
php4-ldap_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-ldap_4.3.10-5_powerpc.deb
php4-mcal_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-mcal_4.3.10-5_i386.deb
php4-mcal_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-mcal_4.3.10-5_powerpc.deb
php4-mhash_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-mhash_4.3.10-5_i386.deb
php4-mhash_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-mhash_4.3.10-5_powerpc.deb
php4-mysql_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-mysql_4.3.10-5_i386.deb
php4-mysql_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-mysql_4.3.10-5_powerpc.deb
php4-odbc_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-odbc_4.3.10-5_i386.deb
php4-odbc_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-odbc_4.3.10-5_powerpc.deb
php4-pear_4.3.10-5_all.deb
  to pool/main/p/php4/php4-pear_4.3.10-5_all.deb
php4-recode_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-recode_4.3.10-5_i386.deb
php4-recode_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-recode_4.3.10-5_powerpc.deb
php4-snmp_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-snmp_4.3.10-5_i386.deb
php4-snmp_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-snmp_4.3.10-5_powerpc.deb
php4-sybase_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-sybase_4.3.10-5_i386.deb
php4-sybase_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-sybase_4.3.10-5_powerpc.deb
php4-xslt_4.3.10-5_i386.deb
  to pool/main/p/php4/php4-xslt_4.3.10-5_i386.deb
php4-xslt_4.3.10-5_powerpc.deb
  to pool/main/p/php4/php4-xslt_4.3.10-5_powerpc.deb
php4_4.3.10-5.diff.gz
  to pool/main/p/php4/php4_4.3.10-5.diff.gz
php4_4.3.10-5.dsc
  to pool/main/p/php4/php4_4.3.10-5.dsc
php4_4.3.10-5_all.deb
  to pool/main/p/php4/php4_4.3.10-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 294986@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Conrad <adconrad@0c3.net> (supplier of updated php4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Feb 2005 19:09:39 -0700
Source: php4
Binary: php4-cgi php4-sybase php4-recode libapache-mod-php4 php4-cli php4-dev libapache2-mod-php4 php4-snmp php4-odbc php4-xslt php4-mysql php4-domxml php4-gd php4-ldap php4-imap php4-common php4-curl php4 php4-pear php4-mcal caudium-php4 php4-mhash
Architecture: all i386 powerpc source 
Version: 4:4.3.10-5
Distribution: unstable
Urgency: low
Maintainer: Adam Conrad <adconrad@0c3.net>
Changed-By: Adam Conrad <adconrad@0c3.net>
Description: 
 caudium-php4 - server-side, HTML-embedded scripting language (caudium module)
 libapache-mod-php4 - server-side, HTML-embedded scripting language (apache 1.3 module)
 libapache2-mod-php4 - server-side, HTML-embedded scripting language (apache 2.0 module)
 php4-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php4-cli   - command-line interpreter for the php4 scripting language
 php4-common - Common files for packages built from the php4 source
 php4-curl  - CURL module for php4
 php4-dev   - Files for PHP4 module development
 php4-domxml - XMLv2 module for php4
 php4-gd    - GD module for php4
 php4-imap  - IMAP module for php4
 php4-ldap  - LDAP module for php4
 php4-mcal  - MCAL calendar module for php4
 php4-mhash - MHASH module for php4
 php4-mysql - MySQL module for php4
 php4-odbc  - ODBC module for php4
 php4-recode - Character recoding module for php4
 php4-snmp  - SNMP module for php4
 php4-sybase - Sybase / MS SQL Server module for php4
 php4-xslt  - XSLT module for php4
Closes: 294986
Changes: 
 php4 (4:4.3.10-5) unstable; urgency=low
 .
   * Add 043-recode_size_t.patch to fix 32/64-bit issues causing the recode
     extension to segfault on alpha/amd64/ia64 (closes: #294986)
   * Move the ./buildconf stuff in the unpatch target inside the test
     for patch-stamp, as it's uselss unless we're unpatching.
Files: 
 0a829429a6eab4c3a65438e6c256b725 21888 web optional php4-sybase_4.3.10-5_i386.deb
 0b60f88e605af11c52ea0295682fc9d5 13408 web optional php4-snmp_4.3.10-5_i386.deb
 1a3a59f10495f320d78abe90b54420c8 1695288 web optional libapache-mod-php4_4.3.10-5_powerpc.deb
 203a90fe2c1afacdbf1ae69e3db93363 9386 web optional php4-recode_4.3.10-5_powerpc.deb
 282ddb8a2ee2b4090a3c73b246ad8ad6 22576 web optional php4-mysql_4.3.10-5_i386.deb
 343d5e7b29a666cf49a6193bea96741d 35328 web optional php4-gd_4.3.10-5_powerpc.deb
 427f33b8c648402ce5c1ac4ca257079e 349612 devel optional php4-dev_4.3.10-5_powerpc.deb
 444ac1ad9f3d2911f56a9eea8e99a84c 3267584 web optional php4-cgi_4.3.10-5_i386.deb
 46d92ba425771c223cc53b2f0557e46a 9666 web optional php4-mhash_4.3.10-5_powerpc.deb
 47939816251b32d1962aa561638eadd1 1679710 web optional php4-cli_4.3.10-5_powerpc.deb
 4c040f2ed2c10685318daf952f0bd73e 1693186 web optional libapache2-mod-php4_4.3.10-5_powerpc.deb
 5199411eda37d493777a51eaaee2548a 249884 web optional php4-pear_4.3.10-5_all.deb
 6093610d42078690218c42cf0277128c 17920 web optional php4-curl_4.3.10-5_i386.deb
 61318fd8bfb5827977ee2995efa89c5e 20238 web optional php4-ldap_4.3.10-5_i386.deb
 62cc719f8acc21f9228de80f59dec4dd 1642066 web optional libapache2-mod-php4_4.3.10-5_i386.deb
 62f0a5eb0434367cba6ba8e84fa6f801 3347168 web optional php4-cgi_4.3.10-5_powerpc.deb
 6658417c9f5d73a859184a0f4f68a7ff 18542 web optional php4-xslt_4.3.10-5_powerpc.deb
 66c7fe8b48eafff0f8c3f1e9c87c11fa 38112 web optional php4-imap_4.3.10-5_i386.deb
 69951f3b78284c6a1c087391dd11a873 21920 web optional php4-ldap_4.3.10-5_powerpc.deb
 6a8b9e29fe54e0a6b57056c6af8acde9 1643798 web optional libapache-mod-php4_4.3.10-5_i386.deb
 6b1bbf709225f9f3b3336a98759c0130 40026 web optional php4-domxml_4.3.10-5_powerpc.deb
 6e9fff097de3e8571cd33a97c9f1379b 198780 web optional php4_4.3.10-5.diff.gz
 702b8a09cd53aa77a25ca298f33408ef 7980 web optional php4-mhash_4.3.10-5_i386.deb
 758dbc9c043cc32c12abf68c8b68fdb1 16664 web optional php4-xslt_4.3.10-5_i386.deb
 7ae9d30d5ee9c505666efc52b8b11e47 23982 web optional php4-sybase_4.3.10-5_powerpc.deb
 7b3923ecedce73702d44ea912e8fb56c 1638704 web optional caudium-php4_4.3.10-5_i386.deb
 8ff2bbe17c9c662672029074e3abfc00 19830 web optional php4-curl_4.3.10-5_powerpc.deb
 90f47e064b9f0883cfa93297fde50312 38784 web optional php4-imap_4.3.10-5_powerpc.deb
 a0a6ba128cdb326468d65eaca712c572 163902 web optional php4-common_4.3.10-5_i386.deb
 8376e3d7947ab73d8b9e79613167fe45 1706 web optional php4_4.3.10-5.dsc
 b1c992178896972009febf1460665b18 27666 web optional php4-odbc_4.3.10-5_i386.deb
 b460acdfd8394d9afc2d089f29cb8cda 163922 web optional php4-common_4.3.10-5_powerpc.deb
 b7227b01224dfe51ddf8ed2ad2a0f246 29640 web optional php4-odbc_4.3.10-5_powerpc.deb
 bda9d939b9ce7fbef192ff47078b7022 1639044 web optional php4-cli_4.3.10-5_i386.deb
 c107aa2527fdd67ac7a03c3ec68f65c5 38336 web optional php4-domxml_4.3.10-5_i386.deb
 c1d9d0a983dea020cd8270a3299eba46 349560 devel optional php4-dev_4.3.10-5_i386.deb
 c469bc52d6c8e370e35de2ee99d6e3a8 1689442 web optional caudium-php4_4.3.10-5_powerpc.deb
 c90b15ed757ce6d150cd6c3b5d0d5922 7798 web optional php4-recode_4.3.10-5_i386.deb
 ccdaf28f44dd6a947103bc42ca56e703 17884 web optional php4-mcal_4.3.10-5_i386.deb
 cf48d2dbc5f99686b3ddc05d9a6851ef 15242 web optional php4-snmp_4.3.10-5_powerpc.deb
 d1979e97ad0584a86ca4a81740e467c9 23936 web optional php4-mysql_4.3.10-5_powerpc.deb
 ea04f1fbf2c4d41095be3c0981e32ec0 1326 web optional php4_4.3.10-5_all.deb
 ee392d5f78c03083faf483e9397debdd 32782 web optional php4-gd_4.3.10-5_i386.deb
 fd06160ebf31fec28cc0e9e518762fc9 19984 web optional php4-mcal_4.3.10-5_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCEPP0vjztR8bOoMkRAgHNAKCcsBmT1ZFeynSg66EXYM0bC6sVuwCfYChn
+u1Sm6/eCJRL4k2GlCTKMkQ=
=cAGd
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:38:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.